Update a folder

Updates a folder's name or parent. Order cannot be changed here.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example request

curl --location --request PUT 'https://app.eraser.io/api/folders/xK9mPq2vR' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $YOUR-TOKEN-HERE' \
--data '{
  "name": "Updated Name"
}'

Example response

{
  "success": true
}
Path Params
string
required
Body Params
string

New folder name

string | null

New parent folder ID, or null for root

Responses

400

Invalid folder ID or request body

401

Missing or invalid bearer token

403

Unauthorized

404

Folder not found

500

Internal server error

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json